################################
# showwindow plugin by _vit
# This software is open source, licensed under the GNU General Public
# License, version 2.
# See http://www.gnu.org/licenses/gpl.html
###############################

package showwindow;
use strict;
use Plugins;
use Log qw(message);
use Globals;
use Win32::GuiTest;

Plugins::register('showwindow', 'Restore window when it minimize', \&on_unload, \&on_reload);

my $command = Commands::register(
    ["showwindow", "Restore window when it minimize", \&showWin],
);

sub on_unload {
    Commands::unregister($command);
}

sub on_reload {
}

sub showWin {
    my $windowName = $chars[$config{'char'}]{'name'};
    
	my @windows = Win32::GuiTest::FindWindowLike(0, "$windowName");
	foreach (@windows) {
		Win32::GuiTest::SetForegroundWindow($_);
        Win32::GuiTest::ShowWindow($_, 9);
	}
	message "Window restored.\n";
}

return 1;
